'use strict';

exports.__esModule = true;
/* eslint-disable no-underscore-dangle */

const isCompositeComponent = exports.isCompositeComponent = type => typeof type === 'function';

const getComponentDisplayName = exports.getComponentDisplayName = type => type.displayName || type.name || 'Component';

const getInternalInstance = exports.getInternalInstance = instance => instance._reactInternalFiber || // React 16
instance._reactInternalInstance || // React 15
null;

const updateInstance = exports.updateInstance = instance => {
  const updater = instance.updater,
        forceUpdate = instance.forceUpdate;

  if (typeof forceUpdate === 'function') {
    instance.forceUpdate();
  } else if (updater && typeof updater.enqueueForceUpdate === 'function') {
    updater.enqueueForceUpdate(instance);
  }
};